%define eclipse_base   %{_libdir}/eclipse
%define install_loc    %{_datadir}/eclipse/dropins/rpmstubby
%define qualifier      200908180856

Name:           eclipse-rpmstubby
Version:        0.3.0
Release:        1%{?dist}
Summary:        Rpm specfile generator for Eclipse features

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/linuxtools/projectPages/rpmstubby/
#sh eclipse-rpmstubby-fetch-src.sh
Source0:        %{name}-fetched-src-%{version}.tar.bz2
Source1:        eclipse-rpmstubby-fetch-src.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.4.0
Requires: eclipse-platform >= 3.4.0

%description
RPM Stubby Plug-in is a plugin aiming to auto-generate RPM specfile from
feature.xml.

%prep
%setup -q -n %{name}-fetched-src-%{version}
cp org.eclipse.linuxtools.rpmstubby-feature/ChangeLog org.eclipse.linuxtools.rpmstubby-feature/ChangeLog.feature

%build
%{eclipse_base}/buildscripts/pdebuild \
 -a "-DforceContextQualifier=%{qualifier} -DjavacSource=1.5 -DjavacTarget=1.5"

%install
%{__rm} -rf %{buildroot}
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.rpmstubby.zip

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{install_loc}
%doc org.eclipse.linuxtools.rpmstubby-feature/license.html
%doc org.eclipse.linuxtools.rpmstubby-feature/epl-v10.html
%doc org.eclipse.linuxtools.rpmstubby-feature/ChangeLog.feature
%doc org.eclipse.linuxtools.rpmstubby/ChangeLog

%changelog
* Tue Sep 1 2009 Alexander Kurtakov <akurtako@redhat.com> 0.3.0-1
- Update to Linux Tools 0.3 release.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 14 2009 Alexander Kurtakov <akurtako@redhat.com> 0.1.1-3
- Update to Linux Tools 0.2 release.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 0.1.1-2
- Rebuild to not ship p2 context.xml.

* Tue Feb 24 2009 Alexander Kurtakov <akurtakov@dredhat.com> 0.1.1-1
- Update to version 0.1.1

* Sun Jan 25 2009 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-2
- Fix URL to point to the new homepage.
- Use %{buildroot} only.
- Package Changelog files.

* Wed Dec 10 2008 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-1
-Initial packaging.
