#!/bin/sh
usage='usage: $0 <tag>'
name=eclipse-rpmstubby
tag=LinuxTools_0_3_0
tar_name=$name-fetched-src-0.3.0

# example of fetch command:
# fetch_cmd=cvs -d:pserver:anonymous@dev.eclipse.org:/cvsroot/dsdp \
# export -r $tag org.eclipse.tm.rse/features/$f;

fetch_cmd="svn export svn://dev.eclipse.org/svnroot/technology/org.eclipse.linuxtools/rpmstubby/tags/$tag/ $tar_name"

if [ 'x$tag'x = 'xx' ]; then
   echo >&2 '$usage'
   exit 1
fi

# Fetch plugins
$fetch_cmd

# create archive
tar -cjf $tar_name.tar.bz2 $tar_name
